GenerateVPFProperties (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GenerateVPFProperties

    java.lang.Object
      com.bbn.openmap.layer.vpf.DescribeDB
          com.bbn.openmap.layer.vpf.GenerateVPFProperties

    public class GenerateVPFProperties

extends DescribeDB

This class will print out some basic information about a VPF database, suitable for inclusion into the openmap.properties file.

      Usage:
      java com.bbn.openmap.layer.vpf.GenerateVPFproperties /path/to/vpf/database

It will then print out VPFlayer descriptions which you can use to view the VPF layers with the openmap application, to the standard output. There is no GUI. If you add the output to the openmap.properties files, pay attention to the Summary: lines. They make it easy to add all the layernames to the recognised ones.

Constructor Summary
`GenerateVPFProperties()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main program.
`static java.lang.String` | `printCoverageProperties(java.lang.String prefix, CoverageAttributeTable cat, java.lang.String covname)` Prints a VPF Coverage
`static void` | `printFeatures(java.lang.String fname, java.util.List<java.lang.Object> features, java.lang.String layername)` Print some featureclass names
`static void` | `printLibrary(java.lang.String prefix, CoverageAttributeTable cat)` Prints a VPF Library

Methods inherited from class com.bbn.openmap.layer.vpf.DescribeDB
`print, print, printCoverage, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateVPFProperties

    public GenerateVPFProperties()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws FormatException

  The main program. Takes path arguments, and prints the DB it finds

  Parameters:
    `args` - the paths to print
  Throws:
    `FormatException`

### printLibrary

    public static void printLibrary(java.lang.String prefix,
                                    CoverageAttributeTable cat)

  Prints a VPF Library

  Parameters:
    `prefix` - lines get printed with this prefix
    `cat` - the CoverageAttributeTable (Library) to print

### printCoverageProperties

    public static java.lang.String printCoverageProperties(java.lang.String prefix,
                                                           CoverageAttributeTable cat,
                                                           java.lang.String covname)

  Prints a VPF Coverage

  Parameters:
    `prefix` - this will be the prefix of the generated layer name
    `covname` - the name of the coverage to print
    `cat` - the CoverageAttributeTable to get the Coverage from

### printFeatures

    public static void printFeatures(java.lang.String fname,
                                     java.util.List<java.lang.Object> features,
                                     java.lang.String layername)

  Print some featureclass names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details